#ifndef TRIANGLE_HPP
#define TRIANGLE_HPP

#include "Point.hpp"

class Triangle
{
    public:
        Point A;
        Point B;
        Point C;
        double Area;

        Triangle();
        Triangle(const Point& A, const Point& B, const Point& C);

        Point GetCentroid() const;
        float GetCentroidX() const;
        float GetCentroidY() const;

        bool Contains(const Point& P) const;
        bool Contains(float X, float Y) const;

        ~Triangle();
};

#endif // TRIANGLE_HPP
